# Security update for libxml2

Announcement ID: SUSE-SU-2024:0461-1  
Rating: moderate  
References:

  * bsc#1219576

  
Cross-References:

  * CVE-2024-25062

  
CVSS scores:

  * CVE-2024-25062 ( SUSE ):  5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
  * CVE-2024-25062 ( NVD ):  7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

  
Affected Products:

  * openSUSE Leap 15.5
  * SUSE Linux Enterprise Micro 5.1
  * SUSE Linux Enterprise Micro 5.2
  * SUSE Linux Enterprise Micro for Rancher 5.2

  
  
An update that solves one vulnerability can now be installed.

## Description:

This update for libxml2 fixes the following issues:

  * CVE-2024-25062: Fixed use-after-free in XMLReader (bsc#1219576).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * SUSE Linux Enterprise Micro 5.2  
    zypper in -t patch SUSE-SUSE-MicroOS-5.2-2024-461=1

  * SUSE Linux Enterprise Micro for Rancher 5.2  
    zypper in -t patch SUSE-SUSE-MicroOS-5.2-2024-461=1

  * openSUSE Leap 15.5  
    zypper in -t patch openSUSE-SLE-15.5-2024-461=1

  * SUSE Linux Enterprise Micro 5.1  
    zypper in -t patch SUSE-SUSE-MicroOS-5.1-2024-461=1

## Package List:

  * SUSE Linux Enterprise Micro 5.2 (aarch64 s390x x86_64)
    * python-libxml2-python-debugsource-2.9.7-150000.3.66.1
    * libxml2-tools-debuginfo-2.9.7-150000.3.66.1
    * python3-libxml2-python-debuginfo-2.9.7-150000.3.66.1
    * libxml2-tools-2.9.7-150000.3.66.1
    * libxml2-debugsource-2.9.7-150000.3.66.1
    * libxml2-2-2.9.7-150000.3.66.1
    * libxml2-2-debuginfo-2.9.7-150000.3.66.1
    * python3-libxml2-python-2.9.7-150000.3.66.1
  * SUSE Linux Enterprise Micro for Rancher 5.2 (aarch64 s390x x86_64)
    * python-libxml2-python-debugsource-2.9.7-150000.3.66.1
    * libxml2-tools-debuginfo-2.9.7-150000.3.66.1
    * python3-libxml2-python-debuginfo-2.9.7-150000.3.66.1
    * libxml2-tools-2.9.7-150000.3.66.1
    * libxml2-debugsource-2.9.7-150000.3.66.1
    * libxml2-2-2.9.7-150000.3.66.1
    * libxml2-2-debuginfo-2.9.7-150000.3.66.1
    * python3-libxml2-python-2.9.7-150000.3.66.1
  * openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64)
    * python-libxml2-python-debugsource-2.9.7-150000.3.66.1
    * python3-libxml2-python-debuginfo-2.9.7-150000.3.66.1
    * python3-libxml2-python-2.9.7-150000.3.66.1
  * SUSE Linux Enterprise Micro 5.1 (aarch64 s390x x86_64)
    * libxml2-tools-debuginfo-2.9.7-150000.3.66.1
    * libxml2-tools-2.9.7-150000.3.66.1
    * libxml2-debugsource-2.9.7-150000.3.66.1
    * libxml2-2-2.9.7-150000.3.66.1
    * libxml2-2-debuginfo-2.9.7-150000.3.66.1

## References:

  * https://www.suse.com/security/cve/CVE-2024-25062.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1219576

SUSE: 2024:0461-1 moderate: libxml2

February 13, 2024
* bsc#1219576 Cross-References: * CVE-2024-25062

Summary

## This update for libxml2 fixes the following issues: * CVE-2024-25062: Fixed use-after-free in XMLReader (bsc#1219576). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * SUSE Linux Enterprise Micro 5.2 zypper in -t patch SUSE-SUSE-MicroOS-5.2-2024-461=1 * SUSE Linux Enterprise Micro for Rancher 5.2 zypper in -t patch SUSE-SUSE-MicroOS-5.2-2024-461=1 * openSUSE Leap 15.5 zypper in -t patch openSUSE-SLE-15.5-2024-461=1 * SUSE Linux Enterprise Micro 5.1 zypper in -t patch SUSE-SUSE-MicroOS-5.1-2024-461=1 ## Package List: * SUSE Linux Enterprise Micro 5.2 (aarch64 s390x x86_64) * python-libxml2-python-debugsource-2.9.7-150000.3.66.1 * libxml2-tools-debuginfo-2.9.7-150000.3.66.1 * python3-libxml2-python-debuginfo-2.9.7-150000.3.66.1 * libxml2-tools-2.9.7-150000.3.66.1 * libxml2-debugsource-2.9.7-150000.3.66.1 * libxml2-2-2.9.7-150000.3.66.1 * libxml2-2-debuginfo-2.9.7-150000.3.66.1 * python3-libxml2-python-2.9.7-150000.3.66.1 * SUSE Linux Enterprise Micro for Rancher 5.2 (aarch64 s390x x86_64) * python-libxml2-python-debugsource-2.9.7-150000.3.66.1 * libxml2-tools-debuginfo-2.9.7-150000.3.66.1 * python3-libxml2-python-debuginfo-2.9.7-150000.3.66.1 * libxml2-tools-2.9.7-150000.3.66.1 * libxml2-debugsource-2.9.7-150000.3.66.1 * libxml2-2-2.9.7-150000.3.66.1 * libxml2-2-debuginfo-2.9.7-150000.3.66.1 * python3-libxml2-python-2.9.7-150000.3.66.1 * openSUSE Leap 15.5 (aarch64 ppc64le s390x x86_64) * python-libxml2-python-debugsource-2.9.7-150000.3.66.1 * python3-libxml2-python-debuginfo-2.9.7-150000.3.66.1 * python3-libxml2-python-2.9.7-150000.3.66.1 * SUSE Linux Enterprise Micro 5.1 (aarch64 s390x x86_64) * libxml2-tools-debuginfo-2.9.7-150000.3.66.1 * libxml2-tools-2.9.7-150000.3.66.1 * libxml2-debugsource-2.9.7-150000.3.66.1 * libxml2-2-2.9.7-150000.3.66.1 * libxml2-2-debuginfo-2.9.7-150000.3.66.1

References

* bsc#1219576

Cross-

* CVE-2024-25062

CVSS scores:

* CVE-2024-25062 ( SUSE ): 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

* CVE-2024-25062 ( NVD ): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Affected Products:

* openSUSE Leap 15.5

* SUSE Linux Enterprise Micro 5.1

* SUSE Linux Enterprise Micro 5.2

* SUSE Linux Enterprise Micro for Rancher 5.2

An update that solves one vulnerability can now be installed.

##

* https://www.suse.com/security/cve/CVE-2024-25062.html

* https://bugzilla.suse.com/show_bug.cgi?id=1219576

Severity
Announcement ID: SUSE-SU-2024:0461-1
Rating: moderate

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo